- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO_Array_Out_T< T, T_var, T_slice, TAG > Class Template Reference

Parametrized implementation of _out class for arrays. More...

`#include <Array_VarOut_T.h>`

Collaboration diagram for TAO_Array_Out_T< T, T_var, T_slice, TAG >:

[legend]
List of all members.

## Public Member Functions
| TAO_Array_Out_T (T_slice *&)
| TAO_Array_Out_T (T_var &)
| TAO_Array_Out_T (const TAO_Array_Out_T< T, T_var, T_slice, TAG > &)
TAO_Array_Out_T< T, T_var, T_slice, TAG > & | operator= (const TAO_Array_Out_T< T, T_var, T_slice, TAG > &)
TAO_Array_Out_T< T, T_var, T_slice, TAG > & | operator= (T_slice *)
| operator T_slice *& ()
T_slice *& | ptr (void)
T_slice & | operator[] (CORBA::ULong index)
const T_slice & | operator[] (CORBA::ULong index) const
## Private Types
typedef TAO_Array_Out_T< T, T_var, T_slice, TAG > | THIS_OUT_TYPE
## Private Member Functions
void | operator= (const T_var &)
## Private Attributes
T_slice *& | ptr_

## Detailed Description

### template<typename T, typename T_var, typename T_slice, typename TAG>
class TAO_Array_Out_T< T, T_var, T_slice, TAG >

Parametrized implementation of _out class for arrays.

## Member Typedef Documentation

template<typename T, typename T_var, typename T_slice, typename TAG>

typedef TAO_Array_Out_T<T,T_var,T_slice,TAG> TAO_Array_Out_T< T, T_var, T_slice, TAG >::THIS_OUT_TYPE`[private]`

## Constructor & Destructor Documentation

template<typename T, typename T_var, typename T_slice, typename TAG>

ACE_INLINE TAO_Array_Out_T< T, T_var, T_slice, TAG >::TAO_Array_Out_T | ( | T_slice *& |  | ) |

template<typename T, typename T_var, typename T_slice, typename TAG>

ACE_INLINE TAO_Array_Out_T< T, T_var, T_slice, TAG >::TAO_Array_Out_T | ( | T_var & |  | ) |

template<typename T, typename T_var, typename T_slice, typename TAG>

ACE_INLINE TAO_Array_Out_T< T, T_var, T_slice, TAG >::TAO_Array_Out_T | ( | const TAO_Array_Out_T< T, T_var, T_slice, TAG > & |  | ) |

## Member Function Documentation

template<typename T, typename T_var, typename T_slice, typename TAG>

ACE_INLINE TAO_Array_Out_T< T, T_var, T_slice, TAG >::operator T_slice *& | ( |  | ) |

template<typename T, typename T_var, typename T_slice, typename TAG>

void TAO_Array_Out_T< T, T_var, T_slice, TAG >::operator= | ( | const T_var & |  | ) | `[private]`

template<typename T, typename T_var, typename T_slice, typename TAG>

ACE_INLINE TAO_Array_Out_T< T, T_var, T_slice, TAG > & TAO_Array_Out_T< T, T_var, T_slice, TAG >::operator= | ( | T_slice * |  | ) |

template<typename T, typename T_var, typename T_slice, typename TAG>

ACE_INLINE TAO_Array_Out_T< T, T_var, T_slice, TAG > & TAO_Array_Out_T< T, T_var, T_slice, TAG >::operator= | ( | const TAO_Array_Out_T< T, T_var, T_slice, TAG > & |  | ) |

template<typename T, typename T_var, typename T_slice, typename TAG>

const T_slice& TAO_Array_Out_T< T, T_var, T_slice, TAG >::operator[] | ( | CORBA::ULong | index | ) | const

template<typename T, typename T_var, typename T_slice, typename TAG>

ACE_INLINE T_slice & TAO_Array_Out_T< T, T_var, T_slice, TAG >::operator[] | ( | CORBA::ULong | index | ) |

template<typename T, typename T_var, typename T_slice, typename TAG>

ACE_INLINE T_slice *& TAO_Array_Out_T< T, T_var, T_slice, TAG >::ptr | ( | void |  | ) |

## Member Data Documentation

template<typename T, typename T_var, typename T_slice, typename TAG>

T_slice*& TAO_Array_Out_T< T, T_var, T_slice, TAG >::ptr_`[private]`

The documentation for this class was generated from the following files:

- Array_VarOut_T.h
- Array_VarOut_T.inl